%define fw_version 5.24
%define oname baloo

Summary:	Plasma 5 searching and managing metadata framework
Name:		plasma5-%{oname}
Version:	5.24.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{oname}-%{version}.tar.xz
Patch0:		baloo-5.13.0-pkgconfig.patch
# Needed to fix "unsatisfied devel(libKF5BalooEngine)" issue for development package
Patch1:		baloo-5.14.0-library-install.patch
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5auth-devel >= %{version}
BuildRequires:	kf5config-devel >= %{version}
BuildRequires:	kf5crash-devel >= %{version}
BuildRequires:	kf5filemetadata-devel >= %{version}
BuildRequires:	kf5i18n-devel >= %{version}
BuildRequires:	kf5idletime-devel >= %{version}
BuildRequires:	kf5kio-devel >= %{version}
BuildRequires:	kf5solid-devel >= %{version}
BuildRequires:	lmdb-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5Sql)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
Requires:	plasma5-kfilemetadata
Conflicts:	baloo
# Prefer plasma5 prefix for Plasma 5 core packages
Obsoletes:	baloo-kf5 < 5.6.1-2

%description
Plasma 5 searching and managing metadata framework.

%files -f %{name}.lang
%{_kde5_bindir}/baloo_file
%{_kde5_bindir}/baloo_file_extractor
%{_kde5_bindir}/balooctl
%{_kde5_bindir}/baloosearch
%{_kde5_bindir}/balooshow
%{_kde5_iconsdir}/hicolor/*/apps/baloo.*
%{_kde5_plugindir}/kded/baloosearchmodule.so
%{_kde5_plugindir}/kio/baloosearch.so
%{_kde5_plugindir}/kio/tags.so
%{_kde5_plugindir}/kio/timeline.so
%{_kde5_services}/baloosearch.protocol
%{_kde5_services}/tags.protocol
%{_kde5_services}/timeline.protocol
%{_kde5_sysconfdir}/xdg/autostart/baloo_file.desktop

#----------------------------------------------------------------------------

%define qmlkf5baloo %mklibname kf5baloo-qml

%package -n %{qmlkf5baloo}
Summary:	QML plugin for Plasma 5 searching and managing metadata framework
Group:		System/Libraries
Provides:	kf5baloo-qml = %{EVRD}

%description -n %{qmlkf5baloo}
QML plugin for Plasma 5 searching and managing metadata framework.

%files -n %{qmlkf5baloo}
%dir %{_kde5_qmldir}/org/kde/baloo/
%{_kde5_qmldir}/org/kde/baloo/*

#----------------------------------------------------------------------------

%define kf5baloo_major 5
%define libkf5baloo %mklibname kf5baloo %{kf5baloo_major}

%package -n %{libkf5baloo}
Summary:	Plasma 5 searching and managing metadata shared library
Group:		System/Libraries
Requires:	%{qmlkf5baloo}

%description -n %{libkf5baloo}
Plasma 5 searching and managing metadata shared library.

%files -n %{libkf5baloo}
%{_kde5_libdir}/libKF5Baloo.so.%{kf5baloo_major}
%{_kde5_libdir}/libKF5Baloo.so.%{version}

#----------------------------------------------------------------------------

%define kf5balooengine_major 5
%define libkf5balooengine %mklibname kf5balooengine %{kf5balooengine_major}

%package -n %{libkf5balooengine}
Summary:	Plasma 5 searching and managing metadata shared library
Group:		System/Libraries

%description -n %{libkf5balooengine}
Plasma 5 searching and managing metadata shared library.

%files -n %{libkf5balooengine}
%{_kde5_libdir}/libKF5BalooEngine.so.%{kf5balooengine_major}
%{_kde5_libdir}/libKF5BalooEngine.so.%{version}

#----------------------------------------------------------------------------

%define devkf5baloo %mklibname kf5baloo -d

%package -n %{devkf5baloo}
Summary:	Development files for Plasma 5 searching and managing metadata framework
Group:		Development/KDE and Qt
Requires:	%{libkf5baloo} = %{EVRD}
Requires:	%{libkf5balooengine} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5baloo-devel = %{version}
Conflicts:	baloo-devel

%description -n %{devkf5baloo}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5baloo}
%{_kde5_includedir}/KF5/Baloo
%{_kde5_includedir}/KF5/baloo_version.h
%{_kde5_libdir}/cmake/KF5Baloo
%{_kde5_libdir}/pkgconfig/Baloo.pc
%{_kde5_libdir}/libKF5Baloo.so
%{_kde5_libdir}/libKF5BalooEngine.so
%{_datadir}/dbus-1/interfaces/org.kde.baloo.file.indexer.xml
%{_datadir}/dbus-1/interfaces/org.kde.baloo.fileindexer.xml
%{_datadir}/dbus-1/interfaces/org.kde.baloo.main.xml
%{_datadir}/dbus-1/interfaces/org.kde.baloo.scheduler.xml

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}
%patch0 -p1
%patch1 -p1

%build
%cmake_kde5_kf5locales
%make

%install
%makeinstall_std -C build

%find_lang balooctl baloo_file baloo_file_extractor baloomonitorplugin baloosearch balooshow kio_baloosearch kio_tags kio_timeline %{name}.lang
%kf5locales_fix %{name}.lang


%changelog

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (94d9478) New version 5.24.0


